INTERFACE
SUBROUTINE PREINT(KDLEN,KLEN,KSET,POROG,&
 & PRESH5,PRESF5,PGEOPH5,PGEOPF5,&
 & PXP5,PXPD5,PXZ5,PXZD5,PCP5,PRF5,PKAP5,&
 & PUF5,PVF5,PTF5,PQF5,PO3F5,PCLWF5,PCIWF5,PCCF5,&
 & PCSWF5,PCRWF5,PCGWF5,&
 & PTSTAR5,PT05,&
 & PDELP5,PRDELP5,PLNPR5,PALPH5,PRTGR5,&
 & PRPRE5,PRPP5,YDGEMSPROF5,PAL) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPPM
USE YOMDB
USE TYPE_GEMS_PROFILES
INTEGER(KIND=JPIM),INTENT(IN) :: KDLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KSET
REAL(KIND=JPRB) ,INTENT(INOUT) :: POROG(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRESH5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRESF5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGEOPH5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGEOPF5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXP5(KDLEN,0:NFLEVG,NPPM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXPD5(KDLEN,0:NFLEVG,NPPM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXZ5(KDLEN,0:NFLEVG,NPPM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXZD5(KDLEN,0:NFLEVG,NPPM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCP5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRF5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PKAP5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PUF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PO3F5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLWF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCIWF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCCF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCSWF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCRWF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCGWF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTSTAR5(KDLEN)
REAL(KIND=JPRB) ,INTENT(OUT) :: PT05(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDELP5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRDELP5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLNPR5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PALPH5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRTGR5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRPRE5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRPP5(KDLEN,NFLEVG)
REAL(KIND=JPRB),INTENT(OUT),OPTIONAL :: PAL(KDLEN)
TYPE (TYPE_GEMSPROF), OPTIONAL ,INTENT(OUT) :: YDGEMSPROF5(KDLEN,NGEMS)
END SUBROUTINE PREINT
END INTERFACE
